# List the workspace tenant variables a project uses

Source: https://www.jawsdeploy.net/rest-api/project-workspace-tenant-variables-list | Section: Workspace Tenant Variables

List the workspace tenant variables a project uses.

`GET /api/project/workspace-tenant-variables`

The project's own tenant variables are listed by `GET /api/project/tenant-variable-templates`.

`usedBy` names only the projects this service account may see. `otherProjects` says how many more use the variable.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `projectId` | query | string | yes | ID of the project. |

## Errors

| Status | Meaning |
|---|---|
| 400 | Invalid `projectId`. |
| 401 | Missing or invalid Basic auth credentials, or the service account can't edit this project. |

Example request:

```
GET /api/project/workspace-tenant-variables?projectId=prj_web HTTP/1.1
Authorization: Basic <base64(serviceAccountId:apiKey)>
```

Example response:

```
{
  "projectId": "prj_web",
  "templates": [
    {
      "templateId": "tvt_secret",
      "projectId": null,
      "workspaceId": "ws_abc123",
      "isWorkspace": true,
      "usedBy": [
        { "projectId": "prj_api", "name": "Shop.Api" },
        { "projectId": "prj_web", "name": "Shop.Web" }
      ],
      "name": "SharedSecret",
      "description": "Shared by the site and its API",
      "variableType": "Secret",
      "isRequired": true,
      "sortOrder": 0,
      "hasDefault": false,
      "defaultValue": null
    }
  ]
}
```

